package cn.palmte.work.model.process.form;

import java.util.List;

import javax.validation.constraints.NotNull;

import cn.palmte.work.model.enums.ProcessType;
import cn.palmte.work.model.enums.ProcurementMode;
import cn.palmte.work.model.process.ProcessAttachment;
import lombok.Data;

/**
 * 流程合同更新
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/23 16:39
 */
@Data
public class ProcessUpdateForm {

  @NotNull
  private Integer id;

  private String[] applyDept;

  // 合同编号
  private String contractNo;

  // 合同名称
  private String contractName;

  // 用印类型
  private String[] sealTypes;

  // 税率
  private String taxRate;

  // 收款条件
  private String paymentTerms;
  // 备注
  private String remark;

  // 客户名称
  private String clientName;

  // 申请人电话
  private String applyPersonPhone;

  private ProcurementMode procurementMode;

  private String supplierName;

  private List<ProcessAttachment> attachments;

  private List<SaleContractDetailForm> incomeDetails;
}
